# Uses of Class
serp.bytecode.Attributes

Packages that use Attributes
Package
Description
serp.bytecode
Bytecode Manipuation

## Uses of Attributes in serp.bytecode

Subclasses of Attributes in serp.bytecode
Modifier and Type
Class
Description
`class`
`Annotated`
An annotated entity.
`class`
`Annotations`
Java annotation data.
`class`
`Attribute`
In bytecode attributes are used to represent anything that is not part of the class structure.
`class`
`BCClass`
The BCClass represents a class object in the bytecode framework, in many ways mirroring the `Class` class of Java reflection.
`class`
`BCField`
A field of a class.
`class`
`BCMember`
A member field or method of a class.
`class`
`BCMethod`
A method of a class.
`class`
`BootstrapMethods`
`class`
`Code`
Representation of a code block of a class.
`class`
`ConstantValue`
A constant value for a member field.
`class`
`Deprecated`
Attribute signifying that a method or class is deprecated.
`class`
`Exceptions`
Attribute declaring the checked exceptions a method can throw.
`class`
`InnerClasses`
Attribute describing all referenced classes that are not package members.
`class`
`LineNumberTable`
Code blocks compiled from source have line number tables mapping opcodes to source lines.
`class`
`LocalTable`
Code blocks compiled from source have local tables mapping locals used in opcodes to their names and descriptions.
`class`
`LocalVariableTable`
Code blocks compiled from source have local variable tables mapping locals used in opcodes to their names and descriptions.
`class`
`LocalVariableTypeTable`
Code blocks compiled from source have local variable type tables mapping generics-using locals used in opcodes to their names and signatures.
`class`
`SourceFile`
Attribute naming the source file for this class.
`class`
`Synthetic`
Attribute marking a member as synthetic, or not present in the class source code.
`class`
`UnknownAttribute`
An unrecognized attribute; class files are allowed to contain attributes that are not recognized, and the JVM must ignore them.
Methods in serp.bytecode that return Attributes
Modifier and Type
Method
Description
`Attributes`
Attribute.`getOwner()`
Return the `Attributes` that owns this attribute.